Subject: bug#23640: closed (Re: bug#23640: 25.1.50; Getting rid of compiler warnings)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 May 2016 00:13:02 +0000

Your bug report

#23640: 25.1.50; Getting rid of compiler warnings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23640: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23640
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23640: 25.1.50; Getting rid of compiler warnings
From: Ken Brown <[email-masked]>
To: Paul Eggert <[email-masked]>, Eli Zaretskii <[email-masked]>
Cc: [email-masked], Andy Moreton <[email-masked]>
Date: Mon, 30 May 2016 20:11:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/30/2016 7:29 PM, Paul Eggert wrote:
> The tradition of hijacking the symbol 'lint' for GCC purposes has been
> used for many years in several GNU packages. As the problem you mention
> affects only optionally-generated warnings on non-GNU platforms, I
> suspect nobody has cared until now about the issue. Anyway, I changed
> Emacs master to use the symbol GCC_LINT instead; this should avoid the
> collision in names.

Thanks.  Closing.

Ken

Subject: 25.1.50; Getting rid of compiler warnings
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Sat, 28 May 2016 14:40:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Building master on Cygwin with gcc-5.3.0 yields many "control reaches
end of non-void function" warnings.  What's the best way to get rid of
these?  Should I add return statements that will never be reached, like
this?

--- a/src/frame.c
+++ b/src/frame.c
@@ -263,6 +263,8 @@ See also `frame-live-p'.  */)
        return Qns;
      default:
        emacs_abort ();
+      /* Pacify compiler.  */
+      return Qnil;
      }
  }

Ken